# Gnome::Gda::ConnectionError Class Reference

Exception class for Gda connection errors. More...

Inheritance diagram for Gnome::Gda::ConnectionError:
[legend]
Collaboration diagram for Gnome::Gda::ConnectionError:
[legend]

List of all members.

## Public Types

enum | Code { CONNECTION_DSN_NOT_FOUND_ERROR, CONNECTION_PROVIDER_NOT_FOUND_ERROR, CONNECTION_PROVIDER_ERROR, CONNECTION_NO_CNC_SPEC_ERROR, CONNECTION_NO_PROVIDER_SPEC_ERROR, CONNECTION_OPEN_ERROR, CONNECTION_STATEMENT_TYPE_ERROR, CONNECTION_CANT_LOCK_ERROR, CONNECTION_TASK_NOT_FOUND_ERROR, CONNECTION_UNSUPPORTED_THREADS_ERROR, CONNECTION_CLOSED_ERROR }

## Public Member Functions

| ConnectionError (Code error_code, const Glib::ustring& error_message)
| ConnectionError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gda connection errors.

## Member Enumeration Documentation

enum Gnome::Gda::ConnectionError::Code

Enumerator:

  CONNECTION_DSN_NOT_FOUND_ERROR |
  CONNECTION_PROVIDER_NOT_FOUND_ERROR |
  CONNECTION_PROVIDER_ERROR |
  CONNECTION_NO_CNC_SPEC_ERROR |
  CONNECTION_NO_PROVIDER_SPEC_ERROR |
  CONNECTION_OPEN_ERROR |
  CONNECTION_STATEMENT_TYPE_ERROR |
  CONNECTION_CANT_LOCK_ERROR |
  CONNECTION_TASK_NOT_FOUND_ERROR |
  CONNECTION_UNSUPPORTED_THREADS_ERROR |
  CONNECTION_CLOSED_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::ConnectionError::ConnectionError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::ConnectionError::ConnectionError | ( | GError * | gobject ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::ConnectionError::code | ( | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/connection.h